Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Class NodeMethodInfo

    java.lang.Object
      com.bea.wli.management.configuration.NodeMethodInfo

All Implemented Interfaces:
  Serializable

public class NodeMethodInfo
extends Object
implements Serializable

Entry into map from a process's method name to information about its method. This includes the associated control's class name and whether the method has a return value. This is uese by the process graph, as it is created at runtime and lacks certain information.

See Also:
  Serialized Form

Field Summary
`static int` | `DTF_CONTROL`

Constructor Summary
`NodeMethodInfo(Class ctlClass, boolean hasReturn)` Create a NodeMethodInfo record
`NodeMethodInfo(int controlType, boolean hasReturn)` Create a NodeMethodInfo record

Method Summary
`static String` | `findCtlIconId(Class ctlClass)`
`String` | `getIconId()` Get this NodeMethnodInfo's iconID
`static ByteBuffer` | `getNodeMethodInfo(Class iconInterface)`
`boolean` | `hasReturn()` Flags whether the method has a retrun value, which means node is a controlSendReturn node.
`boolean` | `isStaticIconFile()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DTF_CONTROL

    public static final int DTF_CONTROL

See Also:
  Constant Field Values

Constructor Detail

### NodeMethodInfo

    public NodeMethodInfo(int controlType,
                          boolean hasReturn)

  Create a NodeMethodInfo record

### NodeMethodInfo

    public NodeMethodInfo(Class ctlClass,
                          boolean hasReturn)

  Create a NodeMethodInfo record

Parameters:
  `hasReturn` -

Method Detail

### getNodeMethodInfo

    public static ByteBuffer getNodeMethodInfo(Class iconInterface)

  Parameters:
    `iconInterface` - Java interface name for a known control
  Returns:
    a ByteBuffer which is the icon file which represents controls implementing iconInterface

### findCtlIconId

    public static String findCtlIconId(Class ctlClass)

  Parameters:
    `ctlClass` - a controls Java class
  Returns:
    known control Java interface name. Used as key to find icon

### getIconId

    public String getIconId()

  Get this NodeMethnodInfo's iconID

  Returns:
    sting that identifies the iconId. This is implemented as the interface name of the control having th eicon.

### hasReturn

    public boolean hasReturn()

  Flags whether the method has a retrun value, which means node is a controlSendReturn node.

  Returns:

### isStaticIconFile

    public boolean isStaticIconFile()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD